package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 巡检项配置大类
 */
@Data
@TableName(value = "pi_rule_item")
public class PiRuleItem {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    @TableField(value = "company_id")
    private Integer companyId;

    /**
     * 关联巡检配置id
     */
    @TableField(value = "rule_id")
    private Integer ruleId;

    /**
     * 巡检大类名称
     */
    @TableField(value = "item_name")
    private String itemName;

    @TableField(value = "remark")
    private String remark;

    @TableField(value = "deleted")
    private Boolean deleted;

    @TableField(value = "create_time")
    private LocalDateTime createTime;

    @TableField(value = "update_time")
    private LocalDateTime updateTime;

    @TableField(value = "create_user_id")
    private Integer createUserId;

    @TableField(value = "update_user_id")
    private Integer updateUserId;
}