package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDate;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 法定节假日数据
 */
@Data
@TableName(value = "sys_holiday")
public class SysHoliday {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    /**
     * 假期名称
     */
    @TableField(value = "`name`")
    private String name;

    /**
     * 归属年
     */
    @TableField(value = "`year`")
    private Integer year;

    /**
     * 假期开始
     */
    @TableField(value = "date_start")
    private LocalDate dateStart;

    /**
     * 假期结束
     */
    @TableField(value = "date_end")
    private LocalDate dateEnd;

    @TableField(value = "remark")
    private String remark;

    @TableField(value = "create_time")
    private LocalDateTime createTime;
}