package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 角色表
 */
@Data
@TableName(value = "sys_role")
public class SysRole {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    /**
     * 用户角色
     */
    @TableField(value = "`name`")
    private String name;

    /**
     * 角色描述
     */
    @TableField(value = "describe_str")
    private String describeStr;

    /**
     * 是否已删除 1是 0否
     */
    @TableField(value = "is_delete")
    private Boolean isDelete;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private LocalDateTime updateTime;

    /**
     * 创建人
     */
    @TableField(value = "create_user_id")
    private Integer createUserId;

    /**
     * 更新人
     */
    @TableField(value = "update_user_id")
    private Integer updateUserId;
}