package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 巡检服务资产设备关系
 */
@Data
@TableName(value = "pi_service_assets")
public class PiServiceAssets {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    @TableField(value = "company_id")
    private Integer companyId;

    /**
     * 巡检服务id
     */
    @TableField(value = "service_id")
    private Integer serviceId;

    /**
     * 巡检服务周期id
     */
    @TableField(value = "cycle_id")
    private Integer cycleId;

    /**
     * 资产id
     */
    @TableField(value = "assets_id")
    private Integer assetsId;

    /**
     * 1删除
     */
    @TableField(value = "deleted")
    private Boolean deleted;

    @TableField(value = "create_user_id")
    private Integer createUserId;

    @TableField(value = "update_user_id")
    private Integer updateUserId;

    @TableField(value = "create_time")
    private LocalDateTime createTime;

    @TableField(value = "update_time")
    private LocalDateTime updateTime;
}